Form Support in EJ2 JavaScript File Upload

21 Aug 202620 minutes to read

The Uploader component works with HTML form like default file input. The following configuration is must to make the Uploader work inside the form.

*   `saveUrl` and `removeUrl` must be null.
*   `autoUpload` must be disabled.
*   `name` attribute must be added in input element.

The selected or dropped files are received as a collection in form action when the form is submitted. The form action handles the server-side operations that manage the file upload process. When you reset the form, the file list and data will be cleared.

ej.base.enableRipple(true);
        var dropElement = document.getElementsByClassName('control-fluid')[0];
        var uploadObj = new ej.inputs.Uploader({
            autoUpload: false,
            multiple: false,
            selected: onFileSelect
        });
        uploadObj.appendTo('#fileupload');
        document.getElementById('browse').onclick = function () {
            document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button').click();
            return false;
        };
        function onFileSelect(args) {
            var inputElement = document.getElementById('upload');
            inputElement.value = args.filesData[0].name;
        }
        var options = {
            customPlacement: function (inputElement, errorElement) {
                inputElement = inputElement.closest('.form-group').querySelector('.error');
                inputElement.parentElement.appendChild(errorElement);
            },
            rules: {
                'name': {
                    required: true
                },
                'email': {
                    required: true
                },
                'upload': {
                    required: true
                }
            }
        };
        var formObj = new ej.inputs.FormValidator('#form1', options);
        function onFormSubmit() {
            var formStatus = formObj.validate();
            if (formStatus) {
                formObj.element.reset();
                confirm.show();
            }
        }
        var confirm = new ej.popups.Dialog({
            width: '335px',
            visible: false,
            content: 'Your details has been updated successfully, Thank you',
            target: '#container',
            isModal: true,
            animationSettings: {
                effect: 'Zoom'
            }
        });
        confirm.appendTo('#confirmationDialog');
        document.getElementById('submit-btn').onclick = function () {
            onFormSubmit();
        };
        confirm.overlayClick = function () {
            confirm.hide();
        };
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 UPloader</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Slider Component">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-buttons/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
    
    <div id="container">
  <div class="col-lg-12 control-section">
    <h4 class="form-title">Photo Contest</h4>
        <div class="control_wrapper" id="control_wrapper">
            <!-- Initialize Uploader -->          
            <form id="form1" method="post">
                <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <input type="text" id="name" name="Name" data-required-message="* Enter your name" required="" data-msg-containerid="nameError">
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="name">Name</label>
                        </div>   
                        <div id="nameError"></div>                     
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                            <div class="e-float-input">
                                <input type="email" id="email" name="Email" data-validation="email" data-required-message="* Enter your email" required="" data-msg-containerid="mailError">
                                <span class="e-float-line"></span>
                                <label class="e-float-text e-label-top" for="email">Email</label>
                            </div>
                            <div id="mailError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                            <div class="e-float-input">
                                <input type="text" id="mobileno" name="MobileNo" data-required-message="* Enter your mobile number" required="" data-msg-containerid="noError">
                                <span class="e-float-line"></span>
                                <label class="e-float-text e-label-top" for="mobileno">Mobile No</label>
                            </div>   
                            <div id="noError"></div>                     
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                            <div class="e-float-input upload-area">
                                <input type="text" id="upload" name="upload" readonly="" data-required-message="* Select any file" required="" data-msg-containerid="uploadError">
                                <span class="e-float-line"></span>
                                <label class="e-float-text e-label-top" for="upload">Choose a file</label>
                            </div>   
                            <button id="browse" class="e-control e-btn e-info">Browse..</button>                      

                            <div id="uploadError"></div>                     
                            <input type="file" name="UploadFiles" id="fileupload">                                        
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                            <div class="e-float-input">
                                <textarea class="address-field" rows="4" id="Address" name="Address"></textarea>
                                <span class="e-float-line"></span>
                                <label class="e-float-text e-label-top" for="address">Address</label>
                            </div>
                    </div>                          
                </form> 
                <div class="submitBtn">
                    <button class="submit-btn e-btn" id="submit-btn">Submit</button>
                </div>
            <div id="confirmationDialog"></div>
        </div>
    </div> 
</div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
.form-group #upload {
	width: 70%;
}

#container {
  visibility: hidden;  
  margin: 0 auto;
  width: 400px;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

/* csslint ignore:start */
.e-float-input.upload-area {
    width: 69%;
}
/* csslint ignore:end */

.address-field {
	max-height: 50px;
}
#control_wrapper {
		max-width: 440px;
		margin: auto;
		border: 0.5px solid grey;
		padding: 1% 4% 2%;
		background: #f9f9f9;
}

.highcontrast #control_wrapper {
	background: #000000;
}
.upload-area, .e-bigger .upload-area {
	width: 69%;
}
.e-error {
	padding-top:3px;
}
.e-upload {
	width: 100%;
	position: relative;
	margin-top: 15px;
}
.control_wrapper .e-upload .e-upload-drag-hover {
	margin: 0;
}

.submit-btn {
	margin-top: 15px;
	position: relative;            
}

.submitBtn {
	position: relative;
	left: 79%;  
}

.form-support {
	width: 100%;            
}

.success .form-support {
	display: none;
}

.success .successmsg {
	border: 0.5px solid green;
	padding: 10%;
	color: green;
}

#form1 {
	position: relative;
	top: 14%;
}

.form-support td {
	width: 100%;
	padding-top:4%;
}

.e-upload {
	display: none;
}

.choose-file{
	width: 60%;
}

#browse {
	left: 46%;
	float: right;    
	margin-top: 20px
}      

.e-bigger  #browse {
	top: -41px;            
}

/* csslint ignore:start */
.e-bigger.material  #browse {
	top: -35px;            
}

.e-bigger.fabric #browse, .e-bigger.highcontrast #browse {
	top: -41px;
	left: 50%;
}

/* csslint ignore:end */

.fabric #browse, .highcontrast #browse {
	top: -32px;
}

.bootstrap #browse {
	top: -34px;
}

.form-title {
	text-align: center;
}

You can also explore JavaScript File Upload feature tour page for its groundbreaking features. You can also explore our JavaScript File Upload example to understand how to browse the files which you want to upload to the server.

Form Support in React File Upload

9 Aug 202624 minutes to read

The Uploader component integrates with HTML forms like standard file input elements. To use the Uploader within a form, set the following configuration:

  • saveUrl and removeUrl must be null
  • autoUpload must be false
  • name attribute must be set on the input element

When the form is submitted, selected or dropped files are sent as a collection to the form action. The form action handles server-side upload processing. Resetting the form clears both the file list and associated data.

[Class-component]

import { select } from '@syncfusion/ej2-base';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
export default class Validation extends React.Component {
    uploadObj;
    dialogInstance;
    formObject;
    animationSettings = { effect: 'Zoom' };
    floatFocus(args) {
        args.target.parentElement.classList.add('e-input-focus');
    }
    floatBlur(args) {
        args.target.parentElement.classList.remove('e-input-focus');
    }
    // Dialog will be closed, while clicking on overlay
    onOverlayClick() {
        this.dialogInstance.hide();
    }
    componentDidMount() {
        const options = {
            rules: {
                'email': {
                    required: [true, '* Enter your email']
                },
                'mobile': {
                    required: [true, '* Enter your mobile number']
                },
                'name': {
                    required: [true, '* Enter your name']
                },
                'upload': {
                    required: [true, '* Select any file']
                }
            }
        };
        this.formObject = new FormValidator('#form1', options);
    }
    onClick(args) {
        const wrapperEle = select('.e-file-select-wrap button', document);
        wrapperEle.click();
        args.preventDefault();
    }
    onSubmitClick() {
        if (this.formObject.validate()) {
            this.formObject.element.reset();
            this.dialogInstance.show();
        }
    }
    onFileSelected(args) {
        const inputElement = document.getElementById('upload');
        inputElement.value = args.filesData[0].name;
    }
    render() {
        return (<div className='control-pane'>
  <div className='control-section col-lg-12 uploadpreview'>
  <h4 className="form-title">Photo Contest</h4>
      <div className='upload_wrapper'>
      <div className="control_wrapper" id="control_wrapper">
        <form id="form1" method="post">
        <div className="form-group">
        <div className="e-float-input">
  <input type="text" id="name" name="name" onFocus={this.floatFocus} onBlur={this.floatBlur} data-msg-containerid="nameError"/>
  <span className="e-float-line"/>
  <label className="e-float-text e-label-top" htmlFor="name">Name</label>
        </div>
        <div id="nameError"/>
        </div>
        <div className="form-group">
        <div className="e-float-input">
        <input type="email" id="Email" name="email" data-msg-containerid="mailError"/>
  <span className="e-float-line"/>
  <label className="e-float-text e-label-top" htmlFor="email">Email</label>
        </div>
        <div id="mailError"/>
        </div>
        <div className="form-group">
  <div className="e-float-input">
      <input type="text" id="mobileno" name="mobile" data-msg-containerid="noError"/>
      <span className="e-float-line"/>
      <label className="e-float-text e-label-top" htmlFor="mobile">Mobile no</label>
  </div>
  <div id="noError"/>
        </div>
        <div className="form-group">
  <div className="e-float-input upload-area">
      <input type="text" readOnly={true} id="upload" name="upload" data-msg-containerid="uploadError"/>
      <button id="browse" className="e-control e-btn e-info" onClick={this.onClick}>Browse..</button>
      <span className="e-float-line"/>
      <label className="e-float-text e-label-top">Choose a file</label>
  </div>
  <div id="uploadError"/>
      <UploaderComponent id='fileUpload' type='file' ref={upload => { this.uploadObj = upload; }} selected={this.onFileSelected = this.onFileSelected.bind(this)} autoUpload={false} allowedExtensions='image/*'/>
        </div>
        <div className="form-group">
  <div className="e-float-input">
      <textarea className="address-field" id="Address" name="Address"/>
      <span className="e-float-line"/>
      <label className="e-float-text e-label-top">Address</label>
  </div>
        </div>
        </form>
    <div className="submitBtn">
          <button className="submit-btn e-btn" onClick={this.onSubmitClick = this.onSubmitClick.bind(this)} id="submit-btn">Submit</button>
      </div>
  <div id="confirmationDialog"/> </div>
        </div>
        </div>
  <DialogComponent id="defaultdialog" isModal={true} visible={false} content='Your details has been updated successfully, Thank you' animationSettings={this.animationSettings} width={'50%'} ref={dialog => this.dialogInstance = dialog} target={'.control-section'} overlayClick={this.onOverlayClick = this.onOverlayClick.bind(this)}/>
    </div>);
    }
}
ReactDOM.render(<Validation />, document.getElementById('fileupload'));
import { select } from '@syncfusion/ej2-base';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { FormValidatorModel } from '@syncfusion/ej2-inputs';
import { SelectedEventArgs, UploaderComponent } from '@syncfusion/ej2-react-inputs';
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

export default class Validation extends React.Component<{}, {}> {
public uploadObj: UploaderComponent;
public dialogInstance: DialogComponent;
public formObject: FormValidator;
private animationSettings: object = { effect: 'Zoom' };
public floatFocus(args: React.FocusEvent): void {
  ((args.target as HTMLElement).parentElement as HTMLElement).classList.add('e-input-focus');
}
public floatBlur(args: any): void {
    ((args.target as HTMLElement).parentElement as HTMLElement).classList.remove('e-input-focus');
}
  // Dialog will be closed, while clicking on overlay
  public onOverlayClick() {
        this.dialogInstance.hide();
  }
  public componentDidMount(): void {
        const options: FormValidatorModel = {
         rules: {
          'email': {
            required: [true, '* Enter your email']
          },
          'mobile': {
            required: [true, '* Enter your mobile number']
          },
          'name': {
              required: [true, '* Enter your name']
          },
          'upload': {
              required: [true, '* Select any file']
          }
        }
      };
      this.formObject = new FormValidator('#form1', options);
  }

 public onClick(args: React.MouseEvent) {
  const wrapperEle: HTMLElement = select('.e-file-select-wrap button', document) as HTMLElement;
  wrapperEle.click();
  args.preventDefault();
  }

  public onSubmitClick(): void {
  if(this.formObject.validate()) {
    this.formObject.element.reset();
    this.dialogInstance.show();
      }
  }

public onFileSelected(args: SelectedEventArgs) : void {
      const inputElement:HTMLInputElement = document.getElementById('upload') as HTMLInputElement;
      inputElement.value = args.filesData[0].name;
}
public render(): JSX.Element {
    return (    <div className = 'control-pane'>
  <div className='control-section col-lg-12 uploadpreview'>
  <h4 className="form-title">Photo Contest</h4>
      <div className='upload_wrapper'>
      <div className="control_wrapper" id="control_wrapper">
<form id="form1"  method="post">
<div className="form-group" >
<div className="e-float-input">
  <input type="text" id="name" name="name" onFocus= {this.floatFocus} onBlur= {this.floatBlur}  data-msg-containerid="nameError" />
  <span className="e-float-line"/>
  <label className="e-float-text e-label-top" htmlFor="name">Name</label>
</div>
<div id="nameError"/>
</div>
<div className="form-group">
<div className="e-float-input">
<input type="email" id="Email" name="email" data-msg-containerid="mailError"/>
  <span className="e-float-line"/>
  <label className="e-float-text e-label-top" htmlFor="email" >Email</label>
</div>
<div id="mailError"/>
</div>
<div className="form-group" >
  <div className="e-float-input">
      <input type="text" id="mobileno" name="mobile" data-msg-containerid="noError" />
      <span className="e-float-line"/>
      <label className="e-float-text e-label-top"  htmlFor="mobile" >Mobile no</label>
  </div>
  <div id="noError"/>
</div>
<div className="form-group" >
  <div className="e-float-input upload-area">
      <input type="text" readOnly={true} id="upload" name="upload" data-msg-containerid="uploadError"/>
      <button id="browse" className="e-control e-btn e-info" onClick={this.onClick}>Browse..</button>
      <span className="e-float-line"/>
      <label className="e-float-text e-label-top">Choose a file</label>
  </div>
  <div id="uploadError"/>
      <UploaderComponent id='fileUpload' type = 'file' ref = {upload => {this.uploadObj = upload !}}
  selected={this.onFileSelected=this.onFileSelected.bind(this)}
  autoUpload = {false}
  allowedExtensions= 'image/*' />
</div>
<div className="form-group" >
  <div className="e-float-input">
      <textarea className="address-field" id="Address" name="Address"/>
      <span className="e-float-line"/>
      <label className="e-float-text e-label-top" >Address</label>
  </div>
</div>
</form>
    <div className="submitBtn">
          <button className="submit-btn e-btn" onClick={this.onSubmitClick = this.onSubmitClick.bind(this)} id="submit-btn">Submit</button>
      </div>
  <div id="confirmationDialog"/> </div>
</div>
</div>
  <DialogComponent id="defaultdialog" isModal={true} visible ={false} content = 'Your details has been updated successfully, Thank you' animationSettings={this.animationSettings} width={'50%'}  ref={dialog => this.dialogInstance = dialog!}
  target={'.control-section'} overlayClick={this.onOverlayClick=this.onOverlayClick.bind(this)} />
    </div>) }
}

ReactDOM.render(<Validation />, document.getElementById('fileupload'));

[Functional-component]

import { select } from '@syncfusion/ej2-base';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
function Validation() {
    let uploadObj;
    let dialogInstance;
    let formObject;
    const animationSettings = { effect: 'Zoom' };
    function floatFocus(args) {
        args.target.parentElement.classList.add('e-input-focus');
    }
    function floatBlur(args) {
        args.target.parentElement.classList.remove('e-input-focus');
    }
    // Dialog will be closed, while clicking on overlay
    function onOverlayClick() {
        dialogInstance.hide();
    }
    React.useEffect(() => {
        const options = {
            rules: {
                'email': {
                    required: [true, '* Enter your email']
                },
                'mobile': {
                    required: [true, '* Enter your mobile number']
                },
                'name': {
                    required: [true, '* Enter your name']
                },
                'upload': {
                    required: [true, '* Select any file']
                }
            }
        };
        formObject = new FormValidator('#form1', options);
    }, []);
    function onClick(args) {
        const wrapperEle = select('.e-file-select-wrap button', document);
        wrapperEle.click();
        args.preventDefault();
    }
    function onSubmitClick() {
        if (formObject.validate()) {
            formObject.element.reset();
            dialogInstance.show();
        }
    }
    function onFileSelected(args) {
        const inputElement = document.getElementById('upload');
        inputElement.value = args.filesData[0].name;
    }
    return (<div className='control-pane'>
        <div className='control-section col-lg-12 uploadpreview'>
            <h4 className="form-title">Photo Contest</h4>
            <div className='upload_wrapper'>
                <div className="control_wrapper" id="control_wrapper">
                <form id="form1" method="post">
                    <div className="form-group">
                        <div className="e-float-input">
                            <input type="text" id="name" name="name" onFocus={floatFocus} onBlur={floatBlur} data-msg-containerid="nameError"/>
                            <span className="e-float-line"/>
                            <label className="e-float-text e-label-top" htmlFor="name">Name</label>
                        </div>
                    <div id="nameError"/>
                </div>
                <div className="form-group">
                    <div className="e-float-input">
                        <input type="email" id="Email" name="email" data-msg-containerid="mailError"/>
                        <span className="e-float-line"/>
                        <label className="e-float-text e-label-top" htmlFor="email">Email</label>
                    </div>
                    <div id="mailError"/>
                </div>
                <div className="form-group">
                    <div className="e-float-input">
                        <input type="text" id="mobileno" name="mobile" data-msg-containerid="noError"/>
                        <span className="e-float-line"/>
                        <label className="e-float-text e-label-top" htmlFor="mobile">Mobile no</label>
                    </div>
                    <div id="noError"/>
                </div>
                <div className="form-group">
                    <div className="e-float-input upload-area">
                        <input type="text" readOnly={true} id="upload" name="upload" data-msg-containerid="uploadError"/>
                        <button id="browse" className="e-control e-btn e-info" onClick={onClick}>Browse..</button>
                        <span className="e-float-line"/>
                        <label className="e-float-text e-label-top">Choose a file</label>
                    </div>
                    <div id="uploadError"/>
                        <UploaderComponent id='fileUpload' type='file' ref={upload => { uploadObj = upload; }} selected={onFileSelected = onFileSelected.bind(this)} autoUpload={false} allowedExtensions='image/*'/>
                    </div>
                    <div className="form-group">
                        <div className="e-float-input">
                            <textarea className="address-field" id="Address" name="Address"/>
                            <span className="e-float-line"/>
                            <label className="e-float-text e-label-top">Address</label>
                        </div>
                    </div>
                </form>
                <div className="submitBtn">
                    <button className="submit-btn e-btn" onClick={onSubmitClick = onSubmitClick.bind(this)} id="submit-btn">Submit</button>
                </div>
                <div id="confirmationDialog"/> </div>
            </div>
        </div>
        <DialogComponent id="defaultdialog" isModal={true} visible={false} content='Your details has been updated successfully, Thank you' animationSettings={animationSettings} width={'50%'} ref={dialog => dialogInstance = dialog} target={'.control-section'} overlayClick={onOverlayClick = onOverlayClick.bind(this)}/>
    </div>);
}
ReactDOM.render(<Validation />, document.getElementById('fileupload'));
import { select } from '@syncfusion/ej2-base';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { FormValidatorModel } from '@syncfusion/ej2-inputs';
import { SelectedEventArgs, UploaderComponent } from '@syncfusion/ej2-react-inputs';
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

function Validation(){
let uploadObj: UploaderComponent;
let dialogInstance: DialogComponent;
let formObject: FormValidator;
const animationSettings: object = { effect: 'Zoom' };
function floatFocus(args: React.FocusEvent): void {
  ((args.target as HTMLElement).parentElement as HTMLElement).classList.add('e-input-focus');
}
function floatBlur(args: any): void {
    ((args.target as HTMLElement).parentElement as HTMLElement).classList.remove('e-input-focus');
}
  // Dialog will be closed, while clicking on overlay
function onOverlayClick() {
      dialogInstance.hide();
}
React.useEffect(() => {
  const options: FormValidatorModel = {
        rules: {
        'email': {
          required: [true, '* Enter your email']
        },
        'mobile': {
          required: [true, '* Enter your mobile number']
        },
        'name': {
            required: [true, '* Enter your name']
        },
        'upload': {
            required: [true, '* Select any file']
        }
      }
    };
    formObject = new FormValidator('#form1', options);
}, []);

function onClick(args: React.MouseEvent) {
    const wrapperEle: HTMLElement = select('.e-file-select-wrap button', document) as HTMLElement;
    wrapperEle.click();
    args.preventDefault();
}

function onSubmitClick(): void {
    if(formObject.validate()) {
        formObject.element.reset();
        dialogInstance.show();
    }
}

function onFileSelected(args: SelectedEventArgs) : void {
    const inputElement:HTMLInputElement = document.getElementById('upload') as HTMLInputElement;
    inputElement.value = args.filesData[0].name;
}

return(
    <div className = 'control-pane'>
        <div className='control-section col-lg-12 uploadpreview'>
            <h4 className="form-title">Photo Contest</h4>
            <div className='upload_wrapper'>
                <div className="control_wrapper" id="control_wrapper">
                <form id="form1"  method="post">
                    <div className="form-group" >
                        <div className="e-float-input">
                            <input type="text" id="name" name="name" onFocus= {floatFocus} onBlur= {floatBlur}  data-msg-containerid="nameError" />
                            <span className="e-float-line"/>
                            <label className="e-float-text e-label-top" htmlFor="name">Name</label>
                        </div>
                    <div id="nameError"/>
                </div>
                <div className="form-group">
                    <div className="e-float-input">
                        <input type="email" id="Email" name="email" data-msg-containerid="mailError"/>
                        <span className="e-float-line"/>
                        <label className="e-float-text e-label-top" htmlFor="email" >Email</label>
                    </div>
                    <div id="mailError"/>
                </div>
                <div className="form-group" >
                    <div className="e-float-input">
                        <input type="text" id="mobileno" name="mobile" data-msg-containerid="noError" />
                        <span className="e-float-line"/>
                        <label className="e-float-text e-label-top"  htmlFor="mobile" >Mobile no</label>
                    </div>
                    <div id="noError"/>
                </div>
                <div className="form-group" >
                    <div className="e-float-input upload-area">
                        <input type="text" readOnly={true} id="upload" name="upload" data-msg-containerid="uploadError"/>
                        <button id="browse" className="e-control e-btn e-info" onClick={onClick}>Browse..</button>
                        <span className="e-float-line"/>
                        <label className="e-float-text e-label-top">Choose a file</label>
                    </div>
                    <div id="uploadError"/>
                        <UploaderComponent id='fileUpload' type = 'file' ref = {upload => {uploadObj = upload !}}
                        selected={onFileSelected=onFileSelected.bind(this)}
                        autoUpload = {false}
                        allowedExtensions= 'image/*' />
                    </div>
                    <div className="form-group" >
                        <div className="e-float-input">
                            <textarea className="address-field" id="Address" name="Address"/>
                            <span className="e-float-line"/>
                            <label className="e-float-text e-label-top" >Address</label>
                        </div>
                    </div>
                </form>
                <div className="submitBtn">
                    <button className="submit-btn e-btn" onClick={onSubmitClick = onSubmitClick.bind(this)} id="submit-btn">Submit</button>
                </div>
                <div id="confirmationDialog"/> </div>
            </div>
        </div>
        <DialogComponent id="defaultdialog" isModal={true} visible ={false} content = 'Your details has been updated successfully, Thank you' animationSettings={animationSettings} width={'50%'}  ref={dialog => dialogInstance = dialog!}
        target={'.control-section'} overlayClick={onOverlayClick=onOverlayClick.bind(this)} />
    </div>
    )
}
ReactDOM.render(<Validation />, document.getElementById('fileupload'));

You can also explore React File Upload feature tour page for its groundbreaking features. You can also explore our React File Upload example to understand how to browse the files which you want to upload to the server.

Form Support in Vue Uploader

The uploader component works with HTML form like default file input.
The following configuration is must to make the uploader work inside the form.

*   `saveUrl` and `removeUrl` must be null.
*   `autoUpload` must be disabled.
*   `name` attribute must be added in input element.

The selected or dropped files are received as a collection in form action when the form is submitted. The form action handles the server-side operations that manage the file upload process. When you reset the form, the file list and data will be cleared.

<template>
    <div>
        <div class="col-lg-12 control-section form-support">
            <div class="control_wrapper" id="control_wrapper">
                <!-- Initialize Uploader -->
                <form id="form1" action="saveFiles.ashx" method="post">
                    <h4 class="form-title">Photo Contest</h4>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <input type="text" id="name" name="Name" data-required-message="* Enter your name" required=""
                                data-msg-containerid="nameError">
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="name">Name</label>
                        </div>
                        <div id="nameError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <input type="email" id="email" name="Email" data-validation="email"
                                data-required-message="* Enter your email" required="" data-msg-containerid="mailError">
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="email">Email</label>
                        </div>
                        <div id="mailError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <input type="text" id="mobileno" name="MobileNo"
                                data-required-message="* Enter your mobile number" required=""
                                data-msg-containerid="noError">
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="mobileno">Mobile No</label>
                        </div>
                        <div id="noError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input upload-area">
                            <input type="text" id="upload" name="upload" readonly=""
                                data-required-message="* Select any file" required="" data-msg-containerid="uploadError">
                            <ejs-uploader id='fileupload' name="UploadFiles" :autoUpload="isAuto" :selected="onFileSelect"
                                allowedExtensions="image/*" :dropArea="dropElement" :multiple='false'></ejs-uploader>
                            <button id="browse" class="e-control e-btn e-info">Browse...</button>
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="upload">Choose a file</label>
                        </div>
                        <div id="uploadError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <textarea class="address-field" rows="4" id="Address" name="Address"></textarea>
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="address">Address</label>
                        </div>
                    </div>
                </form>
                <div class="submitBtn">
                    <button class="submit-btn e-btn" id="submit-btn">Submit</button>
                    <div class="desc"><span>*This button is not a submit type and the form submit handled from
                            externally.</span></div>
                </div>
                <ejs-dialog id='uploadAlert' :header='header' showCloseIcon=true :width='width' :content='dlgContent'
                    :target='dlgTarget' :isModal='Modal' :visible="false" :animationSettings='animation' ref="dialogObj">
                </ejs-dialog>
            </div>
        </div>
    </div>
</template>
<script setup>

import { UploaderComponent as EjsUploader } from '@syncfusion/ej2-vue-inputs';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { DialogComponent as EjsDialog } from '@syncfusion/ej2-vue-popups';
import { onMounted, ref } from 'vue';

const dialogObj = ref(null);

let formObj = '';
const dropElement = '.control-fluid';
const isAuto = false;
const header = 'Success';
const animation = { effect: 'zoom' };
const Modal = true;
const dlgTarget = '.control_wrapper';
const dlgContent = 'Your details have been updated successfully, Thank you.';
const width = '335px';
const options = {
    //Initialize the CustomPlacement.
    customPlacement: function (inputElement, errorElement) {
        inputElement = inputElement.closest('.form-group').querySelector('.error');
        inputElement.parentElement.appendChild(errorElement);
    },
    rules: {
        'Name': {
            required: true
        },
        'Email': {
            required: true
        },
        'upload': {
            required: true
        }
    }
};

onMounted(() => {
    document.getElementById('browse').onclick = () => {
        document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button').click();
        return false;
    };

    document.getElementById('submit-btn').onclick = function () {
        onFormSubmit();
    };
    formObj = new FormValidator('#form1', options);
});

const onFormSubmit = () => {
    let formStatus = formObj.validate();
    if (formStatus) {
        formObj.element.reset();
        dialogObj.value.show();
    }
};
const onFileSelect = (args) => {
    let inputElement = document.getElementById('upload');
    inputElement.value = args.filesData[0].name;
};

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#container {
    visibility: hidden;
    padding-left: 5%;
    width: 100%;
}

#loader {
    color: #008cff;
    font-family: 'Helvetica Neue', 'calibiri';
    font-size: 14px;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.form-support .control_wrapper {
    max-width: 400px;
    margin: auto;
}

.form-support .address-field {
    max-height: 50px;
    resize: none;
}

.form-support #control_wrapper {
    max-width: 500px;
    margin: auto;
    border: 0.5px solid #BEBEBE;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.36);
    padding: 1% 4% 2%;
    background: #f9f9f9;
}

.highcontrast .form-support #control_wrapper {
    background: #000000;
}

.form-support .upload-area,
.e-bigger .form-support .upload-area {
    width: 73%;
}

.form-support .e-error {
    padding-top: 3px;
}

.form-support .e-upload {
    width: 100%;
    position: relative;
    margin-top: 15px;
}

.form-support .control_wrapper .e-upload .e-upload-drag-hover {
    margin: 0;
}

.form-support .submit-btn {
    margin-top: 15px;
}

.form-support .submitBtn .desc {
    margin: 2% 20% 0% 18%;
}

@media only screen and (max-width: 500px) {
    .form-support .submitBtn .desc {
        margin: 12px;
    }

    .form-support .upload-area,
    .e-bigger .upload-area {
        width: 60%;
    }
}

.form-support .submitBtn {
    position: relative;
    text-align: center;
}

.form-support .success .successmsg {
    border: 0.5px solid green;
    padding: 10%;
    color: green;
}

.form-support form#form1 {
    position: relative;
    top: 14%;
}

.form-support .e-upload {
    display: none;
}

.form-support input.choose-file {
    width: 60%;
}

.form-support button#browse {
    float: right;
    margin-right: -115px;
    margin-top: -29px;
    position: relative;
}

.e-bigger.bootstrap .form-support button#browse {
    top: -12px;
}

.e-bigger.material .form-support button#browse {
    top: -8px;
}

.e-bigger.fabric .form-support button#browse,
.e-bigger.highcontrast .form-support button#browse {
    top: -11px;
    left: 2%;
}

.fabric .form-support #browse,
.highcontrast .form-support #browse {
    top: -3px;
}

.bootstrap .form-support #browse {
    top: -6px;
}

.form-support .form-title {
    text-align: center;
}

#form1 .e-float-input:not(.e-input-group),
#form1 .e-float-input.e-control-wrapper:not(.e-input-group) {
    display: inherit;
}
</style>
<template>
    <div>
        <div class="col-lg-12 control-section form-support">
            <div class="control_wrapper" id="control_wrapper">
                <!-- Initialize Uploader -->
                <form id="form1" action="saveFiles.ashx" method="post">
                    <h4 class="form-title">Photo Contest</h4>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <input type="text" id="name" name="Name" data-required-message="* Enter your name" required=""
                                data-msg-containerid="nameError">
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="name">Name</label>
                        </div>
                        <div id="nameError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <input type="email" id="email" name="Email" data-validation="email"
                                data-required-message="* Enter your email" required="" data-msg-containerid="mailError">
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="email">Email</label>
                        </div>
                        <div id="mailError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <input type="text" id="mobileno" name="MobileNo"
                                data-required-message="* Enter your mobile number" required=""
                                data-msg-containerid="noError">
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="mobileno">Mobile No</label>
                        </div>
                        <div id="noError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input upload-area">
                            <input type="text" id="upload" name="upload" readonly=""
                                data-required-message="* Select any file" required="" data-msg-containerid="uploadError">
                            <ejs-uploader id='fileupload' name="UploadFiles" :autoUpload="isAuto" :selected="onFileSelect"
                                allowedExtensions="image/*" :dropArea="dropElement" :multiple='false'></ejs-uploader>
                            <button id="browse" class="e-control e-btn e-info">Browse...</button>
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="upload">Choose a file</label>
                        </div>
                        <div id="uploadError"></div>
                    </div>
                    <div class="form-group" style="padding-top: 11px;">
                        <div class="e-float-input">
                            <textarea class="address-field" rows="4" id="Address" name="Address"></textarea>
                            <span class="e-float-line"></span>
                            <label class="e-float-text e-label-top" for="address">Address</label>
                        </div>
                    </div>
                </form>
                <div class="submitBtn">
                    <button class="submit-btn e-btn" id="submit-btn">Submit</button>
                    <div class="desc"><span>*This button is not a submit type and the form submit handled from
                            externally.</span></div>
                </div>
                <ejs-dialog id='uploadAlert' :header='header' showCloseIcon=true :width='width' :content='dlgContent'
                    :target='dlgTarget' :isModal='Modal' :visible="false" :animationSettings='animation' ref="dialogObj">
                </ejs-dialog>
            </div>
        </div>


    </div>
</template>
<script>

import { UploaderComponent } from '@syncfusion/ej2-vue-inputs';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { DialogComponent } from '@syncfusion/ej2-vue-popups';

export default {
    name: "App",
    components: {
        "ejs-uploader": UploaderComponent,
        "ejs-dialog": DialogComponent
    },
    data: function () {
        return {
            path: {
                saveUrl: 'https://services.syncfusion.com/vue/production/api/FileUploader/Save',
                removeUrl: 'https://services.syncfusion.com/vue/production/api/FileUploader/Remove'
            },
            dropElement: '.control-fluid',
            extensions: '.jpg, .png',
            isAuto: false,
            formObj: '',
            header: 'Success',
            animation: { effect: 'zoom' },
            Modal: true,
            dlgTarget: '.control_wrapper',
            dlgContent: 'Your details have been updated successfully, Thank you.',
            width: '335px',
            options: {
                //Initialize the CustomPlacement.
                customPlacement: function (inputElement, errorElement) {
                    inputElement = inputElement.closest('.form-group').querySelector('.error');
                    inputElement.parentElement.appendChild(errorElement);
                },
                rules: {
                    'Name': {
                        required: true
                    },
                    'Email': {
                        required: true
                    },
                    'upload': {
                        required: true
                    }
                }
            }
        }
    },
    mounted: function () {
        document.getElementById('browse').onclick = () => {
            document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button').click();
            return false;
        };
        let localObj = this;
        document.getElementById('submit-btn').onclick = function () {
            localObj.onFormSubmit();
        };
        this.formObj = new FormValidator('#form1', this.options);
    },
    methods: {
        onFormSubmit: function () {
            let formStatus = this.formObj.validate();
            if (formStatus) {
                this.formObj.element.reset();
                this.$refs.dialogObj.show();
            }
        },
        onFileSelect: function (args) {
            let inputElement = document.getElementById('upload');
            inputElement.value = args.filesData[0].name;
        },
    }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#container {
    visibility: hidden;
    padding-left: 5%;
    width: 100%;
}

#loader {
    color: #008cff;
    font-family: 'Helvetica Neue', 'calibiri';
    font-size: 14px;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.form-support .control_wrapper {
    max-width: 400px;
    margin: auto;
}

.form-support .address-field {
    max-height: 50px;
    resize: none;
}

.form-support #control_wrapper {
    max-width: 500px;
    margin: auto;
    border: 0.5px solid #BEBEBE;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.36);
    padding: 1% 4% 2%;
    background: #f9f9f9;
}

.highcontrast .form-support #control_wrapper {
    background: #000000;
}

.form-support .upload-area,
.e-bigger .form-support .upload-area {
    width: 73%;
}

.form-support .e-error {
    padding-top: 3px;
}

.form-support .e-upload {
    width: 100%;
    position: relative;
    margin-top: 15px;
}

.form-support .control_wrapper .e-upload .e-upload-drag-hover {
    margin: 0;
}

.form-support .submit-btn {
    margin-top: 15px;
}

.form-support .submitBtn .desc {
    margin: 2% 20% 0% 18%;
}

@media only screen and (max-width: 500px) {
    .form-support .submitBtn .desc {
        margin: 12px;
    }

    .form-support .upload-area,
    .e-bigger .upload-area {
        width: 60%;
    }
}

.form-support .submitBtn {
    position: relative;
    text-align: center;
}

.form-support .success .successmsg {
    border: 0.5px solid green;
    padding: 10%;
    color: green;
}

.form-support form#form1 {
    position: relative;
    top: 14%;
}

.form-support .e-upload {
    display: none;
}

.form-support input.choose-file {
    width: 60%;
}

.form-support button#browse {
    float: right;
    margin-right: -115px;
    margin-top: -29px;
    position: relative;
}

.e-bigger.bootstrap .form-support button#browse {
    top: -12px;
}

.e-bigger.material .form-support button#browse {
    top: -8px;
}

.e-bigger.fabric .form-support button#browse,
.e-bigger.highcontrast .form-support button#browse {
    top: -11px;
    left: 2%;
}

.fabric .form-support #browse,
.highcontrast .form-support #browse {
    top: -3px;
}

.bootstrap .form-support #browse {
    top: -6px;
}

.form-support .form-title {
    text-align: center;
}

#form1 .e-float-input:not(.e-input-group),
#form1 .e-float-input.e-control-wrapper:not(.e-input-group) {
    display: inherit;
}
</style>

You can also explore Vue File Upload feature tour page for its groundbreaking features. You can also explore our Vue File Upload example to understand how to browse the files which you want to upload to the server.

Syncfusion AI Assistant

How can I help you?

Form support in Angular Uploader component

26 Feb 202623 minutes to read

The Uploader component integrates seamlessly with HTML forms, functioning like a standard file input.
The following configuration is required to use the Uploader within a form:

  • Set saveUrl and removeUrl to null.
  • Disable autoUpload.
  • Add a name attribute to the input element.

When the form is submitted, selected or dropped files are received as a collection in the form action.
The form action handles server-side operations for file upload processing.
Resetting the form clears the file list and associated data.

import { BrowserModule } from '@angular/platform-browser'
import { NgModule, ModuleWithProviders, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core'
import { FormsModule }   from '@angular/forms'
import { UploaderModule } from '@syncfusion/ej2-angular-inputs'
import { DialogModule } from '@syncfusion/ej2-angular-popups'




import { Component, ViewChild } from '@angular/core';
import { EmitType } from '@syncfusion/ej2-base';
import { Dialog } from '@syncfusion/ej2-popups';
import { FormValidator, FormValidatorModel } from '@syncfusion/ej2-inputs';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
/**
 * Default Uploader Default Component
 */
@Component({
imports: [
        UploaderModule, DialogModule, FormsModule, 
    ],


standalone: true,
    selector: 'app-root',
    templateUrl: './formsupport.html',
    styleUrls: ['./formsupport.css']
})
export class AppComponent {
    @ViewChild('Dialog')
    public Dialog?: DialogComponent;
    public width: string = '335px';
    public visible: boolean = false;
    public content: string = 'Your details has been updated successfully, Thank you';
    public target: string = '#control_wrapper';
    public isModal: boolean = true;
    public animationSettings: object = {
            effect: 'Zoom'
        }
    public options: object = {
            rules: {
            'name': {
                required: true
            },
            'email': {
                required: true
            },
            'upload': {
                required: true
            }
            }
        }

        @ViewChild('formElement') element: any;

        ngAfterViewInit() {
          let formObject: FormValidator = new FormValidator(this.element.nativeElement, this.options);
        // validate all input elements in the form
            }

     browseClick() {
        (document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button') as HTMLButtonElement).click(); return false;
      }
    Submit() {
            this.onFormSubmit();
    }
    public onFileSelect: EmitType<Object> = (args: any) => {
        let inputElement: HTMLInputElement  = document.getElementById('upload') as HTMLInputElement;
        inputElement.value = args.filesData[0].name;
    }

    // Close the modal Dialog on overlay click
    public overlayClick(): void {
        this.Dialog?.hide();
    }

    public onFormSubmit(): void {
    let formObject: FormValidator = new FormValidator("#form1", this.options);
    let formStatus: Boolean = formObject.validate();
    if (formStatus) {
       formObject.element.reset();
        this.Dialog?.show();
    }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Template-driven forms

Use the ngModel directive to bind the model to the Uploader in template-driven forms.
For more information, refer to the Angular Documentation.

The following example demonstrates how to integrate the Uploader component with required validation in a template-driven form:

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule, ReactiveFormsModule } from '@angular/forms'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { DialogModule } from '@syncfusion/ej2-angular-popups'
import { UploaderModule } from '@syncfusion/ej2-angular-inputs'




import { Component, OnInit, ViewChild } from '@angular/core';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { EmitType } from '@syncfusion/ej2-base';

@Component({
imports:      [  FormsModule, DialogModule, UploaderModule, ButtonModule, ReactiveFormsModule ],


standalone: true,
  selector: 'app-root',
  template: `<div class="control-section">
        <div class="col-lg-12">
          <h4 class="form-title">Photo Contest</h4>
        <div class="control_wrapper" id="control_wrapper" style="margin: 10px auto;">
            <form id="template_driven" #userForm="ngForm" novalidate>
                <div class="form-group" style="padding-top: 11px;">
                    <div class="e-float-input">
                        <input type="text" id="name" #nameval='ngModel' name="name" required ngModel>
                        <span class="e-float-line"></span>
                        <label class="e-float-text e-label-top" for="name">Name</label>
                        <div *ngIf="(nameval.invalid && (nameval.dirty || nameval.touched))">
                            <div class="e-error" *ngIf="nameval.errors">
                                * Enter your name
                            </div>
                        </div>
                    </div>
                </div>
                  <div class="form-group" style="padding-top: 11px;">
                      <div class="e-float-input upload-area">
                          <input type="text" id="upload" #uploadval='ngModel' [(ngModel)]="uploadInput" readonly name="upload" required ngModel>
                          <button id="browse" class="e-control e-btn e-info" (click)='browseClick()'>Browse...</button>
                          <span class="e-float-line"></span>
                          <label class="e-float-text e-label-top" for="upload">Choose a file</label>
                          <div *ngIf="(uploadval.invalid && (uploadval.dirty || uploadval.touched))">
                              <div class="e-error" *ngIf="uploadval.errors">
                                  * Select a file
                              </div>
                          </div>
                      </div>
                      <ejs-uploader #defaultupload id='fileupload' allowedExtensions="image/*" [autoUpload]=false [multiple]='multiple' (selected)='onFileSelect($event)'></ejs-uploader>
                  </div>

                  <div class="form-group" style="padding-top: 11px;">
                    <div class="submitBtn">
                        <button class="submit-btn e-btn" id="submit-btn" [disabled]="userForm.invalid" type="reset" (click)= "Submit()">Submit</button>
                        <div class="desc"><span>*This button is not a submit type and the form submit handled from externally.</span></div>
                    </div>
                  </div>
          </form>
          <ejs-dialog id="confirmationDialog" #Dialog [buttons]='dlgButtons' [animationSettings]='animationSettings' [header]='formHeader' [showCloseIcon]='showCloseIcon' [content]='content'  [target]='target' [width]='width' [visible]="visible" [isModal]="isModal" >
          </ejs-dialog>
    </div>
  </div>
</div>`
})
export class AppComponent  {
  @ViewChild('Dialog')
  public dialogObj?: DialogComponent;
  public width: string = '335px';
  public visible: boolean = false;
  public multiple: boolean = false;
  public showCloseIcon: Boolean = true;
  public formHeader: string = 'Success';
  public content: string = 'Your details have been updated successfully, Thank you.';
  public target: string = '#control_wrapper';
  public isModal: boolean = true;
  public animationSettings: object = {
    effect: 'Zoom'
  };
  public uploadInput: string = '';
  public dlgBtnClick: EmitType<object> = () => {
    (this.dialogObj as DialogComponent).hide();
  }
  public dlgButtons: Object[] = [{ click: this.dlgBtnClick.bind(this), buttonModel: { content: 'Ok', isPrimary: true } }];
    @ViewChild('formElement') element: any;

  public browseClick() {
     (document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button') as HTMLButtonElement).click(); return false;
   }
   public Submit(): void {
    this.onFormSubmit();
  }
 public onFileSelect: EmitType<Object> = (args: any) => {
  this.uploadInput = args.filesData[0].name;
 }

 public onFormSubmit(): void {
   (this.dialogObj as DialogComponent).show();
 }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Reactive forms

You can integrate the Uploader component within reactive forms.
Reactive forms are created using the FormGroup class.
For more information, refer to the Angular Documentation.

The following example demonstrates how to integrate the Uploader component with required validation in a reactive form:

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule, ReactiveFormsModule } from '@angular/forms'
import { UploaderModule } from '@syncfusion/ej2-angular-inputs'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { DialogModule } from '@syncfusion/ej2-angular-popups'



import { Component, Inject, OnInit, ViewChild } from '@angular/core';
import { FormGroup, FormBuilder, Validators, FormControl } from '@angular/forms';
import { EmitType } from '@syncfusion/ej2-base';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';

@Component({
imports:      [  FormsModule, DialogModule, UploaderModule, ButtonModule, ReactiveFormsModule ],


standalone: true,
  selector: 'app-root',
  template: `<div class="control-section">
    <div class="col-lg-12">
      <h4 class="form-title">Photo Contest</h4>
        <div class="control_wrapper" id="control_wrapper" style="margin: 25px auto;">
          <form id="reactive" [formGroup]="form">
              <div class="form-group" style="padding-top: 11px;">
                  <div class="e-float-input">
                      <input type="text" id="name" name="name" class="required" formControlName="name">
                      <span class="e-float-line"></span>
                      <label class="e-float-text e-label-top" for="name">Name</label>
                  </div>
                  <app-field-error-display [displayError]="isFieldValid('name')" errorMsg="* Please Enter your name">
                  </app-field-error-display>
              </div>
              <div class="form-group" style="padding-top: 11px;">
                  <div class="e-float-input upload-area">
                      <input type="text" id="upload" name="upload" [(ngModel)]="uploadInput" readonly formControlName="upload" class="required">
                      <button id="browse" class="e-control e-btn e-info" (click)='browseClick()'>Browse...</button>
                      <span class="e-float-line"></span>
                      <label class="e-float-text e-label-top" for="upload">Choose a file</label>
                  </div>
                  <app-field-error-display [displayError]="isFieldValid('upload')" errorMsg="* Select any file">
                  </app-field-error-display>
                  <ejs-uploader #defaultupload id='fileupload' allowedExtensions="image/*" [autoUpload]=false [multiple]='multiple' (selected)='onFileSelect($event)'></ejs-uploader>
              </div>
              <div class="form-group" style="padding-top: 11px;">
                <div class="submitBtn">
                  <button class="submit-btn e-btn" id="submit-btn" [disabled]="form.invalid" (click)= "Submit()">Submit</button>
                  <div class="desc"><span>*This button is not a submit type and the form submit handled from externally.</span></div>
                </div>
              </div>
          </form>
          <ejs-dialog id="confirmationDialog" #Dialog [buttons]='dlgButtons' [animationSettings]='animationSettings' [header]='formHeader' [showCloseIcon]='showCloseIcon' [content]='content'  [target]='target' [width]='width' [visible]="visible" [isModal]="isModal" >
          </ejs-dialog>
      </div>
    </div>
</div>`
})
export class AppComponent  {
    @ViewChild('Dialog')
    public dialogObj?: DialogComponent;
    public form?: FormGroup | any;
    public width: string = '335px';
    public visible: boolean = false;
    public multiple: boolean = false;
    public showCloseIcon: Boolean = true;
    public formHeader: string = 'Success';
    public content: string = 'Your details have been updated successfully, Thank you.';
    public target: string = '#control_wrapper';
    public isModal: boolean = true;
    public animationSettings: any = {
          effect: 'Zoom'
      };
   private formSumitAttempt?: boolean;
   public dlgBtnClick: EmitType<object> = () => {
    this.dialogObj?.hide();
  }
  public dlgButtons: Object[] = [{ click: this.dlgBtnClick.bind(this), buttonModel: { content: 'Ok', isPrimary: true } }];
  public uploadInput: string = '';
  public browseClick() {
    (document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button') as HTMLButtonElement).click(); return false;
  }
  public Submit(): void {
    this.onFormSubmit();
  }
  public onFileSelect: EmitType<Object> = (args: any) => {
    this.uploadInput = args.filesData[0].name;
  }

  public onFormSubmit(): void {
    this.formSumitAttempt = true;
    if (this.form?.valid) {
      (this.dialogObj as DialogComponent).show();
      this.form.reset();
    } else {
      this.validateAllFormFields(this.form as any);
    }
  }

  constructor(@Inject(FormBuilder) public formBuilder: FormBuilder) {}

  ngOnInit() {
    this.form = this.formBuilder.group({
      name: [null, Validators.required],
      upload: [null, Validators.required],
    });
  }

  isFieldValid(field: string) {
    return ((!(this.form  as any).get(field).valid && (this.form as any).get(field).touched) ||
    ((this.form as any).get(field).untouched && this.formSumitAttempt));
  }

  validateAllFormFields(formGroup: FormGroup) {
    Object.keys(formGroup.controls).forEach(field => {
      const control = formGroup.get(field);
      if (control instanceof FormControl) {
        control.markAsTouched({ onlySelf: true });
      } else if (control instanceof FormGroup) {
        this.validateAllFormFields(control);
      }
    });
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

You can also explore Angular File Upload feature tour page for its groundbreaking features. You can also explore our Angular File Upload example to understand how to browse the files which you want to upload to the server.